package com.yihu.hos.standard.model.adapter;

import com.yihu.hos.web.framework.model.Result;

import java.io.Serializable;

/**
 * 标准版本模型
 *
 * @Created by lingfeng 2015/12/23.
 */
public class AdapterSchemeModel extends Result implements Serializable {
    private Integer id;

    private Integer parentId;

    private String name;

    private String type;

    private String description;

    private Integer status;

    private Integer stdId;

    private String stdVersion;

    private Integer adapterStdId;

    private String adapterStdVersion;

    private String adapterPublisherOrgCode;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStdId() {
        return stdId;
    }

    public void setStdId(Integer stdId) {
        this.stdId = stdId;
    }

    public String getStdVersion() {
        return stdVersion;
    }

    public void setStdVersion(String stdVersion) {
        this.stdVersion = stdVersion;
    }

    public Integer getAdapterStdId() {
        return adapterStdId;
    }

    public void setAdapterStdId(Integer adapterStdId) {
        this.adapterStdId = adapterStdId;
    }

    public String getAdapterStdVersion() {
        return adapterStdVersion;
    }

    public void setAdapterStdVersion(String adapterStdVersion) {
        this.adapterStdVersion = adapterStdVersion;
    }

    public String getAdapterPublisherOrgCode() {
        return adapterPublisherOrgCode;
    }

    public void setAdapterPublisherOrgCode(String adapterPublisherOrgCode) {
        this.adapterPublisherOrgCode = adapterPublisherOrgCode;
    }
}
